function [skeleton p stat flag Stats] = gllpcnonsym(a, var, InstParam, varargin)
%GLLPCNONSYM GLL-PC-nonsym

% start copy-paste from GLLPC

import org.mensxmachina.commons.*;
import org.mensxmachina.commons.stats.*;

% parse standard parameters
[x numLevels ord Param] = gllparamparse('ORG.MENSXMACHINA.PGM.GLLPC', a, varargin{:});

% check VAR
assert(ischar(var) || (isscalar(var) && ispositiveinteger(var)));
    
% find index of the variable
j = datasetind(a, var);

% end copy-paste from GLLPC

% initiliaze GLL output
[skeleton p stat flag Stats] = glloutputinit(x, numLevels, ord, Param);

% call optimized version
[skeleton p stat flag Stats] = gllpcnonsymopt(x, numLevels, ord, j, skeleton, p, stat, flag, Stats, InstParam, Param);

end