function [skeleton p stat flag Stats] = glloutputinit(~, numLevels, ~, Param)

% get number of variables
m = length(numLevels);

% initialize skeleton
skeleton = sparse(m, m);

% initialize p-values
p = sparse(m, m);

% initialize test statistics
stat = sparse(m, m);

% initialize flags
flag = false(1, m);

% initialize misc. statistics
Stats = struct('numTestsConsidered', sparse(m, m), 'numTestsAttempted', sparse(m, m), 'numTestsSucceeded', sparse(m, m));

end